#ifndef Dummy_h
#define Dummy_h

class vtkLandmarkPicker;
class vtkPoints;
class vtkInformation;
class vtkInformationVector;

#include "vtkPointSetAlgorithm.h"

class Dummy : public vtkPointSetAlgorithm
{
public:
  vtkTypeMacro(Dummy, vtkPointSetAlgorithm);
  static Dummy* New();

protected:
  Dummy();
  ~Dummy() VTK_OVERRIDE;

  int RequestData(vtkInformation* info, vtkInformationVector** inputVector,
    vtkInformationVector* outputVector);
  int FillInputPortInformation(int port, vtkInformation* info);

private:
  Dummy(const Dummy&) VTK_DELETE_FUNCTION;
  void operator=(const Dummy&) VTK_DELETE_FUNCTION;
};

#endif
